Page MenuHomeFreeBSD

Update math/libqalculate to 2.2.1
ClosedPublic

Authored by jhale on Feb 21 2018, 1:22 PM.

Details

Reviewers
None
Group Reviewers
kde
Commits
rP463014: math/libqalculate: Update to 2.2.1
Summary

Update math/libqalculate to 2.2.1 and math/qalculate to 2.2.1.
Several kde@ ports needed CMake module adjustments to find the newer library.
I don't want to step on any toes in regards to https://reviews.freebsd.org/D14413,
so if this needs to wait until after that has landed, that's fine.

Test Plan

Standard poudriere build tests completed.
10.4-i386 - all pass
11.1-amd64 - all pass
12.0-CURRENT-amd64 - all pass

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhale created this revision.Feb 21 2018, 1:22 PM

Hi there

Thanks, for the offer to wait. I'll gladly take it :)

Mfg Tobias

jhale updated this revision to Diff 39615.Feb 22 2018, 8:15 PM

Update against current ports tree

tcberner added inline comments.Feb 23 2018, 5:59 AM
math/libqalculate/Makefile
7 ↗(On Diff #39615)

^DISTVERSIONPREFIX=v + USE_GITHUB

math/qalculate/Makefile
7 ↗(On Diff #39615)

^ instead of setting MASTER_SITES and DISTNAME this should be

DISTVERSIONPREFIX=v
[...]
USE_GITHUB=yes
jhale added inline comments.Feb 23 2018, 7:15 AM
math/qalculate/Makefile
7 ↗(On Diff #39615)

This pulls in the full release tarball, so we don't have to run autoreconf and a bunch of other stuff.

mat added inline comments.Feb 23 2018, 12:27 PM
math/libqalculate/Makefile
7 ↗(On Diff #39615)

No, this is NOT the same thing. What you are proposing is using an extract from the git repository, which, in this case, is wrong, as there is a released tarball.

Releases tarballs are hand made, usually they have all the configure things taken care of, and you do not need to use autoreconf, also, they often have the documentation already generated so that it is not required to depend on doxygen and stuff.

We should not use git extracts when releases are available.

tcberner added inline comments.Feb 23 2018, 6:02 PM
math/libqalculate/Makefile
7 ↗(On Diff #39615)

Oh, sorry, I was under the wrong impression that there was magic involved :(

This revision was not accepted when it landed; it landed in state Needs Review.Feb 26 2018, 11:22 AM
This revision was automatically updated to reflect the committed changes.